Subject: Re: KASAN: slab-out-of-bounds Read in hci_le_meta_evt

From: Eric Biggers <[email-masked]>
Date: Mon, 3 Aug 2020 10:58:32 -0700

On Mon, Aug 03, 2020 at 06:32:24PM +0100, Russell King - ARM Linux admin wrote:
> On Mon, Aug 03, 2020 at 10:21:04AM -0700, Eric Biggers wrote:
> > On Mon, Aug 03, 2020 at 06:12:33PM +0100, Russell King - ARM Linux admin wrote:
> > > Dear syzbot,
> > > 
> > > Please explain why you are spamming me with all these reports - four so
> > > far.  I don't understand why you think I should be doing anything with
> > > these.
> > > 
> > > Thanks.
> > 
> > syzbot just uses get_maintainer.pl.
> > 
> > $ ./scripts/get_maintainer.pl net/bluetooth/hci_event.c
> > Marcel Holtmann <[email-masked]> (maintainer:BLUETOOTH SUBSYSTEM)
> > Johan Hedberg <[email-masked]> (maintainer:BLUETOOTH SUBSYSTEM)
> > "David S. Miller" <[email-masked]> (maintainer:NETWORKING [GENERAL])
> > Jakub Kicinski <[email-masked]> (maintainer:NETWORKING [GENERAL])
> > Russell King <[email-masked]> (maintainer:SFF/SFP/SFP+ MODULE SUPPORT)
> > [email-masked] (open list:BLUETOOTH SUBSYSTEM)
> > [email-masked] (open list:NETWORKING [GENERAL])
> > [email-masked] (open list)
> 
> Ah, and, because the file mentions "phylink" (although it makes no use
> of the phylink code), get_maintainer spits out my address. Great.
> 
> So how do I get get_maintainer to identify patches that are making use
> of phylink, but avoid this bluetooth code... (that's not a question.)
> 

I think "K: " (content regex) in MAINTAINERS is best avoided.  This isn't the
first time that someone has volunteered to maintain all files containing $foo,
then complained when they receive emails for those files as they requested...

If you do really want to use it, can you use a more specific regex?  E.g. a
regex that matches "#include <linux/phylink.h>" or some specific function(s)?

- Eric